package com.ruoyi.business.constant;

public enum FieldTypeEnum {
    eq("1","精确查询"),
    like("2","模糊匹配"),
    dataRange("3","日期范围"),

	;
    private final String code;
    private final String value;

    public static String getName(String code) {
        for (FieldTypeEnum c : FieldTypeEnum.values()) {
            if (c.getCode().equals(code)) {
                return c.value;
            }
        }
        return "";
    }

    FieldTypeEnum(String code, String value) {
        this.value = value;
        this.code = code;
    }

    public String getValue() {
        return this.value;
    }
    public String getCode() {
        return this.code;
    }

}
